View Issue Details

IDProjectCategoryView StatusLast Update
0003238Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003238: several FTDX-1200 equalizer sliders don't work
Description
The FTDX-1200 has several equalizer settings, controllable by sliders in Rig Control. Most of these sliders don't work correctly.
Steps To Reproduce1) Open Rig Control and connect to an FTDX-1200 radio
2) Use the "Menu" button on the radio to access the menu settings
3) Use the VFO B dial to scroll to setting 159, which is "PRMTRC EQ1 FREQ"

4) Use the "Radio Layout" command in the "View" menu to reach the "Customize Layout" dialog
5) On the "Sliders: Layout" tab, make sure the "EQ1 Frequency" slider is visible.

6) Exercise the "EQ1 Frequency" slider.

BUG#1) The radio's setting doesn't change

7) Use the VFO-B knob to adjust the setting on the radio.

BUG#2) The radios setting probably changes, but there are some gaps in range and the value of the setting doesn't match.


This issue can be reproduced with a variety of settings, using the slider names from Rig Control:

159 EQ1 Frequency
160 EQ1 Level
162 EQ2 Frequency
163 EQ2 Level
166 EQ3 Level
168 Proc EQ1 Frequency
169 Proc EQ1 Level
171 Proc EQ2 Frequency
172 Proc EQ2 Level


These sliders seem to work correctly:

161 EQ1 Bandwidth
164 EQ2 Bandwidth
165 EQ3 Frequency
167 EQ3 Bandwidth
170 Proc EQ1 Bandwidth
173 Proc EQ2 Bandwidth
174 Proc EQ3 Frequency
176 Proc EQ3 Bandwidth
TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-07 09:36

administrator   ~0007628

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4884

WA9PIE

2019-03-26 13:42

administrator   ~0007735

Validated during tests at HRO - Plano (TX)

Issue History

Date Modified Username Field Change
2019-03-07 09:24 K7ZCZ New Issue
2019-03-07 09:24 K7ZCZ Tag Attached: FTDX-1200
2019-03-07 09:24 K7ZCZ Tag Attached: Yaesu
2019-03-07 09:36 K7ZCZ Assigned To => K7ZCZ
2019-03-07 09:36 K7ZCZ Status new => resolved
2019-03-07 09:36 K7ZCZ Resolution open => fixed
2019-03-07 09:36 K7ZCZ Note Added: 0007628
2019-03-08 12:40 K7ZCZ Fixed in Version => 6.5.0.202
2019-03-26 13:42 WA9PIE Status resolved => closed
2019-03-26 13:42 WA9PIE Description Updated View Revisions
2019-03-26 13:42 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 13:42 WA9PIE Testing Not Started => Beta Successful
2019-03-26 13:42 WA9PIE Note Added: 0007735
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.202 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe